! Pierdere de semnificatie:
real(8) f8
character(100) fname, c_text*80
logical pressed/.false./


write(*,*) 'Output file name will be "loss-C.rez"'
write(*, '(a,\)') 'Input "C" (<=80 chars): '
read(*,'(a)') C_text

fname ='loss-'//trim(C_text)//'.rez'

open(1, file=fname, status='unknown')
write(1, '(a,/)') 'Loss of Signification'
write(1, '(a)') ' x         f(x):single    f(x):double(true)  g(x)'

do i =1,7
x =10.**i
!x8 =10D0**i
call fun(x, f, f8, g)
write(1,'(1pG8.1, 1pG15.6, 1pG16.7, 3x, 1pG15.6)') x, f, f8, g
enddo

write(*, '(/,a,a)') 'Output file: ', trim(fname)

!write(*, '(/,a)') 'Press any key to exit'
do while(pressed)
pressed =peekcharqq()
enddo

end
